spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://localhost:3306/payday?createDatabaseIfNotExist=true
    username: vusal
    password: vusal9797
  jpa:
    hibernate:
      ddl-auto: update
  cloud:
    function:
      definition: sendMail;mailResult
    stream:
      binders:
        kafka-local:
          type: kafka
          environment.spring.cloud.stream.kafka.binder:
            brokers: localhost:9092
            auto-create-topics: true
            auto-add-partitions: true
            min-partition-count: 1
      bindings:
        mailResult-in-0:
          binder: kafka-local
          contentType: application/json
          group: payday-local
          destination: e-mail
        sendMail-out-0:
          binder: kafka-local
          contentType: application/json
          destination: e-mail

swagger:
  host: localhost:8080
